#
# spec file for package freeradius-server
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define unitname radiusd
%define apxs2 apxs2-prefork
%define apache2_sysconfdir %(%{_sbindir}/%{apxs2} -q SYSCONFDIR)
Name:           freeradius-server
Version:        3.0.12
Release:        1.2

%if 0%{?suse_version} > 1140
%bcond_without systemd
%bcond_without freetds
%bcond_without libjson
%define runpath /run
%else
%bcond_with    systemd
%bcond_with    freetds
%bcond_with    libjson
%define runpath /var/run
%endif

%if 0%{?is_opensuse}
%bcond_without memcached
%else
%bcond_with    memcached
%endif

Summary:        RADIUS Server
License:        GPL-2.0 and LGPL-2.1
Group:          Productivity/Networking/Radius/Servers
Url:            http://www.freeradius.org/
Source:         ftp://ftp.freeradius.org/pub/freeradius/%{name}-%{version}.tar.bz2
Source99:       ftp://ftp.freeradius.org/pub/freeradius/%{name}-%{version}.tar.bz2.sig
Source1:        radiusd.service
Source2:        freeradius-tmpfiles.conf
Patch1:         freeradius-server-tmpfiles.patch
Patch2:         freeradius-server-radiusd-logrotate.patch
Patch3:         freeradius-server-rcradiusd.patch
Patch4:         freeradius-server-fix-cert-bootstrap.patch
Patch5:         freeradius-server-rlm_sql_unixodbc-configure.patch
BuildRequires:  apache2-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  db-devel
%if 0%{?suse_version} > 0 && 0%{?suse_version} <= 1110
BuildRequires:  libdb-5_1-devel
%endif
%if %{with freetds}
BuildRequires:  freetds-devel
%endif
BuildRequires:  gcc-c++
BuildRequires:  gdbm-devel
BuildRequires:  gettext-devel
BuildRequires:  glibc-devel
BuildRequires:  krb5-devel
BuildRequires:  libcom_err-devel
BuildRequires:  libcurl-devel
BuildRequires:  libidn-devel
%if %{with json}
BuildRequires:  libjson-devel
%endif
%if %{with memcached}
BuildRequires:  libmemcached-devel
%endif
BuildRequires:  libmysqlclient-devel
BuildRequires:  libpcap-devel
BuildRequires:  libtalloc-devel
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  net-snmp-devel
BuildRequires:  openldap2-devel
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  perl
BuildRequires:  postgresql-devel
BuildRequires:  python-devel
BuildRequires:  sqlite3-devel
BuildRequires:  unixODBC-devel
%if 0%{?suse_version} > 1110
BuildRequires:  pkgconfig(apr-1)
%else
BuildRequires:  libapr1-devel
%endif
Requires:       %fillup_prereq
Requires:       %insserv_prereq
Requires:       %{name}-libs = %{version}
Requires:       coreutils
Requires:       pwdutils
Requires:       python
Requires(pre):  openssl
Requires(pre):  perl
Recommends:     logrotate
Provides:       freeradius = %{version}
Provides:       radiusd
Obsoletes:      freeradius < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?libperl_requires}
Conflicts:      radiusd-livingston radiusd-cistron icradius
%if %{with systemd}
BuildRequires:  systemd
%{?systemd_requires}
%endif

%description
Remote Authentication Dial-In User Service (RADIUS) is a networking
protocol that provides centralized Authentication, Authorization, and
Accounting (AAA or Triple A) management for users who connect and
use a network service.

FreeRADIUS is a modular, high performance free RADIUS implementation.

%package libs
Summary:        FreeRADIUS shared library
Group:          Productivity/Networking/Radius/Servers

%description libs
The FreeRADIUS shared libraries

%package utils
Summary:        FreeRADIUS Clients
Group:          Productivity/Networking/Radius/Clients
Requires:       %{name}-libs = %{version}

%description utils
Collection of FreeRADIUS utilities

%package devel
Summary:        FreeRADIUS Development Files
Group:          Development/Libraries/C and C++
Requires:       %{name}-libs = %{version}

%description devel
FreeRADIUS development header files

%package doc
Summary:        FreeRADIUS Documentation
Group:          Productivity/Networking/Radius/Servers
Requires:       %{name}

%description doc
FreeRADIUS documentation

%package ldap
Summary:        LDAP support for freeradius
Group:          System Environment/Daemons
BuildRequires:  openldap2-devel
Requires:       %{name} = %{version}

%description ldap
FreeRADIUS plugin providing LDAP support.

%package krb5
Summary:        Kerberos 5 support for freeradius
Group:          System Environment/Daemons
BuildRequires:  krb5-devel
Requires:       %{name} = %{version}

%description krb5
FreeRADIUS plugin providing Kerberos 5 authentication support.

%package perl
Summary:        Perl support for freeradius
Group:          System Environment/Daemons
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::Embed)
Requires:       %{name} = %{version}
Requires:       perl

%description perl
FreeRADIUS plugin providing Perl support.

%package python
Summary:        Python support for freeradius
Group:          System Environment/Daemons
BuildRequires:  python-devel
Requires:       %{name} = %{version}

%description python
FreeRADIUS plugin providing Python support.

%package mysql
Summary:        MySQL support for freeradius
Group:          System Environment/Daemons
BuildRequires:  mysql-devel
Requires:       %{name} = %{version}

%description mysql
FreeRADIUS plugin providing MySQL support.

%package postgresql
Summary:        Postgresql support for freeradius
Group:          System Environment/Daemons
BuildRequires:  postgresql-devel
Requires:       %{name} = %{version}

%description postgresql
FreeRADIUS plugin providing PostgreSQL support.

%package sqlite
Summary:        SQLite support for freeradius
Group:          System Environment/Daemons
BuildRequires:  sqlite3-devel
Requires:       %{name} = %{version}

%description sqlite
FreeRADIUS plugin providing SQLite support.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{_sourcedir}/%{name}.changes")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""
find . -type f -regex ".*\.c\|.*\.cpp\|.*\.h" -exec sed -i "s/__DATE__/${DATE}/g;s/__TIME__/${TIME}/g" {} +
export CFLAGS="%{optflags} -DLDAP_DEPRECATED -fstack-protector -fPIC -DPIC"
export LDFLAGS="-pie"
%configure \
  --disable-static \
  --with-pic \
  --libdir=%{_libdir}/freeradius \
  --disable-ltdl-install \
  --enable-strict-dependencies \
  --with-edir \
  --with-gnu-ld \
  --with-system-libtool \
  --with-system-libltdl \
  --with-udpfromto \
  --without-rlm_eap_ikev2 \
  --without-rlm_eap_tnc \
  --with-rlm-krb5-lib-dir=%{_libdir} \
  --without-rlm_opendirectory \
  --without-rlm_sql_db2 \
  --without-rlm_sql_firebird \
  --without-rlm_sql_iodbc \
  --without-rlm_redis \
  --without-rlm_rediswho \
  --without-rlm_sql_oracle \
  --without-rlm_securid \
%if ! %{with memcached}
  --without-rlm_cache_memcached \
%endif
%if ! %{with freetds}
  --without-rlm_freetds \
%endif
%if ! %{with json}
  --without-rlm_rest \
%endif
  --disable-silent-rules
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_localstatedir}/lib/radiusd
make install R=%{buildroot} INSTALLSTRIP=
# modify default configuration
RADDB=%{buildroot}%{_sysconfdir}/raddb
perl -i -pe 's/^#user =.*$/user = radiusd/'   $RADDB/radiusd.conf
perl -i -pe 's/^#group =.*$/group = radiusd/' $RADDB/radiusd.conf
/sbin/ldconfig -n %{buildroot}%{_libdir}/freeradius
# logs
touch %{buildroot}%{_localstatedir}/log/radius/radutmp
touch %{buildroot}%{_localstatedir}/log/radius/radius.log
# SUSE
install -d     %{buildroot}%{_sysconfdir}/pam.d
install -d     %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 suse/radiusd-pam %{buildroot}%{_sysconfdir}/pam.d/radiusd
install -m 644 suse/radiusd-logrotate %{buildroot}%{_sysconfdir}/logrotate.d/radiusd
%if %{with systemd}
mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{unitname}.conf
install -D -m 755 %{SOURCE1} %{buildroot}%{_unitdir}/%{unitname}.service
# name the rc script according to the systemd unit
ln -sf %{_sbindir}/service %{buildroot}%{_sbindir}/rcradiusd
%else
install -d -m 755 %{buildroot}%{_sysconfdir}/init.d
install    -m 744 suse/rcradiusd %{buildroot}%{_sysconfdir}/init.d/freeradius
ln -sf %{_sysconfdir}/init.d/freeradius %{buildroot}%{_sbindir}/rcfreeradius
%endif
cp -al %{buildroot}%{_sbindir}/radiusd %{buildroot}%{_sbindir}/radrelay
install -D -d -m 0710 %{buildroot}%{runpath}/radiusd
mv -v doc/README doc/README.doc
# remove unneeded stuff
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.crt
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.csr
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.der
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.key
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.pem
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.p12
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/index.*
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/serial*
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/dh
rm -f %{buildroot}%{_sysconfdir}/raddb/certs/random
rm -rf doc/00-OLD
rm -rf doc/.gitignore
rm -rf doc/source/.gitignore
rm -f %{buildroot}%{_sbindir}/rc.radiusd
rm -rf %{buildroot}%{_datadir}/doc/freeradius*
rm -rf %{buildroot}%{_libdir}/freeradius/*.*a
rm -f %{buildroot}%{_defaultdocdir}/%{name}/Makefile
rm -f %{buildroot}%{_defaultdocdir}/%{name}/examples/Makefile
rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/main/mssql
rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool/oracle
rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/oracle
rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/main/oracle
%if ! %{with json}
rm %{buildroot}%{_sysconfdir}/raddb/mods-available/rest
%endif

%pre
%{_sbindir}/groupadd -r radiusd 2> /dev/null || :
%{_sbindir}/useradd -r -g radiusd -s /bin/false -c "Radius daemon" -d \
                  %{_localstatedir}/lib/radiusd radiusd 2> /dev/null || :

# boo#912714: add radiusd to winbind group for ntlm_auth
# add winbind group and fail silently if it already exists
%{_bindir}/getent group winbind \
  || %{_sbindir}/groupadd -r winbind
# add radiusd to winbind group
%if 0%{?suse_version} > 0 && 0%{?suse_version} < 1140
%{_sbindir}/groupmod -A radiusd winbind
%else
%{_bindir}/gpasswd -a radiusd winbind
%endif

%if %{with systemd}
%service_add_pre %{unitname}.service
%endif

%post
# Generate default certificates
if [ $1 -eq 1 ]; then
	%{_sysconfdir}/raddb/certs/bootstrap
fi
chgrp radiusd %{_sysconfdir}/raddb/certs/*

%if %{with systemd}
%service_add_post %{unitname}.service
systemd-tmpfiles --create %{_tmpfilesdir}/%{unitname}.conf
%else
%fillup_and_insserv freeradius
%endif

%preun
%if %{with systemd}
%service_del_preun %{unitname}.service
%else
%insserv_cleanup
%restart_on_update freeradius
%endif

%postun
%if %{with systemd}
%service_del_postun %{unitname}.service
%else
%insserv_cleanup
%restart_on_update freeradius
%endif

%files doc
%defattr(-,root,root)
%doc doc/*

%files
%defattr(-,root,root)
# doc
%doc COPYRIGHT CREDITS LICENSE doc/ChangeLog
# SUSE
%config %{_sysconfdir}/pam.d/radiusd
%config %{_sysconfdir}/logrotate.d/radiusd
%if %{with systemd}
%{_sbindir}/rcradiusd
%else
%config %{_sysconfdir}/init.d/freeradius
%{_sbindir}/rcfreeradius
%endif
%dir %attr(755,radiusd,radiusd) %{_localstatedir}/lib/radiusd
# configs
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/trigger.conf
%defattr(-,root,radiusd)
%{_sysconfdir}/raddb/README.rst
%config(noreplace) %{_sysconfdir}/raddb/dictionary
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/clients.conf
%config(noreplace) %{_sysconfdir}/raddb/hints
%config(noreplace) %{_sysconfdir}/raddb/huntgroups
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/proxy.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/radiusd.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/experimental.conf
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/certs
%{_sysconfdir}/raddb/certs/Makefile
%{_sysconfdir}/raddb/certs/passwords.mk
%{_sysconfdir}/raddb/certs/README
%{_sysconfdir}/raddb/certs/xpextensions
%{_sysconfdir}/raddb/panic.gdb
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/certs/*.cnf
%attr(750,root,radiusd) %{_sysconfdir}/raddb/certs/bootstrap
%if %{with systemd}
%{_tmpfilesdir}/%{unitname}.conf
%{_unitdir}/%{unitname}.service
%endif

# mods-config
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config
%{_sysconfdir}/raddb/mods-config/README.rst
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/attr_filter
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/attr_filter/*
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/files
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/files/*
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/preprocess
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/preprocess/*
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/python
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/python/radiusd.py
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mysql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mysql/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/counter
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/cui
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/main
#%attr(640,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/oracle/queries.conf
#%attr(640,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/oracle/schema.sql
%attr(640,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/sqlite/schema.sql
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/unbound
%attr(640,root,radiusd) %{_sysconfdir}/raddb/mods-config/unbound/default.conf

# sites-available
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/sites-available
%{_sysconfdir}/raddb/sites-available/README
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/control-socket
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/decoupled-accounting
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/robust-proxy-accounting
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/soh
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/coa
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/example
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/inner-tunnel
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/dhcp
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/check-eap-tls
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/status
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/dhcp.relay
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/virtual.example.com
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/originate-coa
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/vmps
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/default
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/proxy-inner-tunnel
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/dynamic-clients
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/copy-acct-to-home-server
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/buffered-sql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/tls
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/abfab-tls
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/abfab-tr-idp
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/channel_bindings
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/sites-available/challenge

# sites-enabled
# symlink: %{_sysconfdir}/raddb/sites-enabled/xxx -> ../sites-available/xxx
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/sites-enabled
%config(missingok) %{_sysconfdir}/raddb/sites-enabled/inner-tunnel
%config(missingok) %{_sysconfdir}/raddb/sites-enabled/default

# mods-available
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-available
%{_sysconfdir}/raddb/mods-available/README.rst
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/always
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/attr_filter
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/cache
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/cache_eap
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/chap
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/counter
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/cui
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/date
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/detail
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/detail.example.com
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/detail.log
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/dhcp
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/dhcp_sqlippool
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/digest
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/dynamic_clients
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/eap
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/echo
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available%{_sysconfdir}_group
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/exec
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/expiration
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/expr
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/files
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/idn
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/inner-eap
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/ippool
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/linelog
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/logintime
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/mac2ip
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/mac2vlan
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/mschap
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/ntlm_auth
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/opendirectory
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/otp
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/pam
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/pap
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/passwd
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/preprocess
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/python
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/radutmp
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/realm
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/redis
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/rediswho
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/replicate
%if %{with json}
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/rest
%endif
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/smbpasswd
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/smsotp
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/soh
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/sometimes
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/sql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/sqlcounter
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/sqlippool
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/sradutmp
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/unix
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/utf8
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/wimax
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/yubikey
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/unbound
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/unpack
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/abfab_psk_sql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/couchbase

# mods-enabled
# symlink: %{_sysconfdir}/raddb/mods-enabled/xxx -> ../mods-available/xxx
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-enabled
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/always
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/attr_filter
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/cache_eap
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/chap
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/date
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/detail
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/detail.log
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/dhcp
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/digest
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/dynamic_clients
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/eap
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/echo
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/exec
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/expiration
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/expr
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/files
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/linelog
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/logintime
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/mschap
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/ntlm_auth
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/pap
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/passwd
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/preprocess
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/radutmp
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/realm
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/replicate
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/soh
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/sradutmp
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/unix
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/utf8
%config(missingok) %{_sysconfdir}/raddb/mods-enabled/unpack

# policy
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/policy.d
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/accounting
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/canonicalization
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/control
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/cui
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/dhcp
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/eap
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/filter
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/moonshot-targeted-ids
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/operator-name
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/abfab-tr
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/policy.d/debug

%config(noreplace) %{_sysconfdir}/raddb/users
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/templates.conf
%attr(710,radiusd,radiusd) %dir %ghost %{runpath}/radiusd
# binaries
%defattr(-,root,root)
%{_sbindir}/checkrad
%{_sbindir}/radiusd
%{_sbindir}/radmin
%{_sbindir}/radrelay
%{_sbindir}/raddebug
# man-pages
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
# dictionaries
%attr(755,root,root) %dir %{_datadir}/freeradius
%{_datadir}/freeradius/*
# logs
%attr(700,radiusd,radiusd) %dir %{_localstatedir}/log/radius/
%attr(700,radiusd,radiusd) %dir %{_localstatedir}/log/radius/radacct/
%attr(644,radiusd,radiusd) %{_localstatedir}/log/radius/radutmp
%config(noreplace) %attr(600,radiusd,radiusd) %{_localstatedir}/log/radius/radius.log

# loadable modules
%dir %attr(755,root,root) %{_libdir}/freeradius
%{_libdir}/freeradius/proto_dhcp.so
%{_libdir}/freeradius/proto_vmps.so
%{_libdir}/freeradius/rlm_always.so
%{_libdir}/freeradius/rlm_attr_filter.so
%{_libdir}/freeradius/rlm_cache.so
%{_libdir}/freeradius/rlm_chap.so
%{_libdir}/freeradius/rlm_counter.so
%{_libdir}/freeradius/rlm_cram.so
%{_libdir}/freeradius/rlm_date.so
%{_libdir}/freeradius/rlm_detail.so
%{_libdir}/freeradius/rlm_dhcp.so
%{_libdir}/freeradius/rlm_digest.so
%{_libdir}/freeradius/rlm_dynamic_clients.so
%{_libdir}/freeradius/rlm_eap.so
%{_libdir}/freeradius/rlm_eap_fast.so
%{_libdir}/freeradius/rlm_eap_gtc.so
%{_libdir}/freeradius/rlm_eap_leap.so
%{_libdir}/freeradius/rlm_eap_md5.so
%{_libdir}/freeradius/rlm_eap_mschapv2.so
%{_libdir}/freeradius/rlm_eap_peap.so
%{_libdir}/freeradius/rlm_eap_pwd.so
%{_libdir}/freeradius/rlm_eap_sim.so
%{_libdir}/freeradius/rlm_eap_tls.so
%{_libdir}/freeradius/rlm_eap_ttls.so
%{_libdir}/freeradius/rlm_exec.so
%{_libdir}/freeradius/rlm_expiration.so
%{_libdir}/freeradius/rlm_expr.so
%{_libdir}/freeradius/rlm_files.so
%{_libdir}/freeradius/rlm_ippool.so
%{_libdir}/freeradius/rlm_linelog.so
%{_libdir}/freeradius/rlm_logintime.so
%{_libdir}/freeradius/rlm_mschap.so
%{_libdir}/freeradius/rlm_otp.so
%{_libdir}/freeradius/rlm_pam.so
%{_libdir}/freeradius/rlm_pap.so
%{_libdir}/freeradius/rlm_passwd.so
%{_libdir}/freeradius/rlm_preprocess.so
%{_libdir}/freeradius/rlm_radutmp.so
%{_libdir}/freeradius/rlm_realm.so
%{_libdir}/freeradius/rlm_replicate.so
%if %{with json}
%{_libdir}/freeradius/rlm_rest.so
%endif
%{_libdir}/freeradius/rlm_soh.so
%{_libdir}/freeradius/rlm_sometimes.so
%{_libdir}/freeradius/rlm_sql.so
%{_libdir}/freeradius/rlm_sqlcounter.so
%{_libdir}/freeradius/rlm_sqlippool.so
%{_libdir}/freeradius/rlm_sql_freetds.so
%{_libdir}/freeradius/rlm_sql_null.so
%{_libdir}/freeradius/rlm_test.so
%{_libdir}/freeradius/rlm_unix.so
%{_libdir}/freeradius/rlm_utf8.so
%{_libdir}/freeradius/rlm_wimax.so
%{_libdir}/freeradius/rlm_yubikey.so
%{_libdir}/freeradius/rlm_sql_unixodbc.so
%{_libdir}/freeradius/rlm_unpack.so
%if %{with memcached}
%{_libdir}/freeradius/rlm_cache_memcached.so
%endif
%{_libdir}/freeradius/rlm_cache_rbtree.so

%files utils
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%{_bindir}/*

%files libs
%defattr(-,root,root)
# RADIUS shared libs
%attr(755,root,root) %dir %{_libdir}/freeradius
%attr(755,root,root) %{_libdir}/freeradius/lib*.so*

%files devel
%defattr(-,root,root)
%dir %attr(755,root,root) %{_includedir}/freeradius
%attr(644,root,root) %{_includedir}/freeradius/*.h

%files krb5
%defattr(-,root,root)
%{_libdir}/freeradius/rlm_krb5.so
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/krb5

%files perl
%defattr(-,root,root)
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/perl

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/perl
%{_sysconfdir}/raddb/mods-config/perl/example.pl

%{_libdir}/freeradius/rlm_perl.so

%files python
%defattr(-,root,root)
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/python
%{_sysconfdir}/raddb/mods-config/python/example.py*
%{_libdir}/freeradius/rlm_python.so

%files mysql
%defattr(-,root,root)
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/counter/mysql
%attr(640,root,radiusd) %config(noreplace)%{_sysconfdir}/raddb/mods-config/sql/counter/mysql/dailycounter.conf
%attr(640,root,radiusd) %config(noreplace)%{_sysconfdir}/raddb/mods-config/sql/counter/mysql/expire_on_login.conf
%attr(640,root,radiusd) %config(noreplace)%{_sysconfdir}/raddb/mods-config/sql/counter/mysql/monthlycounter.conf
%attr(640,root,radiusd) %config(noreplace)%{_sysconfdir}/raddb/mods-config/sql/counter/mysql/noresetcounter.conf

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/cui/mysql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/mysql/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/mysql/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool/mysql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/mysql/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/mysql/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mysql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mysql/queries.conf

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/main/mysql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/setup.sql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/extras
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/extras/wimax
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/extras/wimax/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/extras/wimax/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/main/ndb
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/ndb/setup.sql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/ndb/schema.sql
%{_sysconfdir}/raddb/mods-config/sql/main/ndb/README

%{_libdir}/freeradius/rlm_sql_mysql.so

%files postgresql
%defattr(-,root,root)
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql/dailycounter.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql/expire_on_login.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql/monthlycounter.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql/noresetcounter.conf

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/cui/postgresql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/postgresql/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/postgresql/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool/postgresql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/postgresql/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/postgresql/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/setup.sql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/extras
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/extras/update_radacct_group.sql
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/extras/voip-postpaid.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/extras/cisco_h323_db_schema.sql

%{_libdir}/freeradius/rlm_sql_postgresql.so

%files sqlite
%defattr(-,root,root)
%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/cui/sqlite
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/sqlite/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/sqlite/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite/dailycounter.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite/expire_on_login.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite/monthlycounter.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite/noresetcounter.conf

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool/sqlite
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/sqlite/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/sqlite/schema.sql

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/sqlite
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/sqlite/queries.conf

%dir %attr(750,root,radiusd) %{_sysconfdir}/raddb/mods-config/sql/main/sqlite
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/sqlite/queries.conf
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/sqlite/schema.sql

%{_libdir}/freeradius/rlm_sql_sqlite.so

%files ldap
%defattr(-,root,root)
%{_libdir}/freeradius/rlm_ldap.so
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-available/ldap

%changelog
* Thu Sep 29 2016 michael@stroeder.com
- update to 3.0.12
  * for a detailed list of changes look at:
    /usr/share/doc/packages/freeradius-server/ChangeLog
* Fri Sep  2 2016 adam.majer@suse.de
- use %%{with} macro for conditional inclusions instead of hardcoding
  version numbers
- improved package descriptions
- fixed builds on SLE12 and SLE11SP4
* Mon Jan 25 2016 michael@stroeder.com
- removed installation of experimental module rlm_sqlhpwippool.so
- update to 3.0.11
  * for a detailed list of changes look at:
    /usr/share/doc/packages/freeradius-server/ChangeLog
* Mon Oct  5 2015 michael@stroeder.com
- update to 3.0.10
  * for a detailed list of changes look at:
    /usr/share/doc/packages/freeradius-server/ChangeLog
* Fri Aug  7 2015 jkeil@suse.de
- Fix boo#912714: freeradius can't use ntlm_auth
  * Create winbind group
  * Add radiusd to winbind group
* Wed Jul  8 2015 michael@stroeder.com
- update to 3.0.9
  * for a detailed list of changes look at:
    /usr/share/doc/packages/freeradius-server/ChangeLog
- freeradius-server-rlm_sql_unixodbc-configure.patch removes
  hard-coded directory in configure script of rlm_sql_unixodbc
- install new module rlm_sqlhpwippool.so
* Thu Apr 23 2015 vcizek@suse.com
- minor adjustments/cleanup of spec and changes
* Wed Apr 22 2015 michael@stroeder.com
- update to 3.0.8
  * for a detailed list of changes look at:
    /usr/share/doc/packages/freeradius-server/ChangeLog
- new set of consolidated patch files:
  deleted:
  * freeradius-server-2.1.1-logrotate_su.patch
  * freeradius-server-2.1.6-rcradiusd.patch
  * freeradius-server-initscript-pidfile.patch
  * freeradius-server-radius-reload-logrotate.patch
  * freeradius-server-var_run.patch
  added:
  * freeradius-server-radiusd-logrotate.patch
  * freeradius-server-rcradiusd.patch
  * freeradius-server-tmpfiles.patch
* Wed Jan 14 2015 tchvatal@suse.com
- Do not disable as-needed build
- Remove the with_sysconfig switch and just stick with versions
* Tue Jan 13 2015 vcizek@suse.com
- update to 3.0.6
  - fixes a segmentation fault in PEAP module (bnc#912588)
  Feature improvements:
  * radmin / raddebug conditional errors are printed to the output, instead of being discarded.
  * raddebug will exit if condition set with -c was invalid.
  * radmin auto-reconnects if the connection to the server has gone away.
  * rlm_cache now has submodule support. See raddb/mods-available/cache
  * New memcached driver for rlm_cache. See raddb/mods-available/cache
  * Add support for &Attribute-Name[*] in conditions. See "man unlang" for details.
  * Add &Attribute-Name[n] which gets the last instance of an attribute e.g. Module-Failure-Message[n].
  * Allow for redundant string expansions. See the "instantiate" section of radiusd.conf.
  * When checking IP addresses in conditions, make the right side be parsed as an IP prefix.
  * Support JIT compilation of compiled regular expressions when built with libpcre.
  * Support named capture groups with "%%{regex:<name>}" when built with libpcre.
  * Increase regular expression capture groups from 8 to 32.
  * Emit error markers for badly formed regular expressions.
  * Allow 'm' flag to enable multiline mode in regular expressions.
  * Support limited implicit attribute conversion in update sections.
  * Support casting between IPv6 and IPv4 where the IPv6 address has the v4/v6 mapping prefix (::ffff:).
* Mon Dec 22 2014 dimstar@opensuse.org
- Drop .keyring and .sig file: freeradius-server still uses MD5
  signatures, which are no longer validated/accepted by GPG 2.1.
* Wed Dec  3 2014 vcizek@suse.com
- update to 3.0.5
  Some of the new features:
  * Allow LDAP to specify arbitrary attributes for dynamic
    clients.
  * Allow one level of backslashes (finally).  See radiusd.conf,
    "correct_escapes" setting.
  * When supported by OpenSSL, allow TLS 1.1 and TLS 1.2
    in EAP methods.
  * Allow multiple new connections to be spawned simultaneously
    in the connection pool, to cope with spikes in traffic.
  * Use kqueue on systems which support it.  This allows for
    better scaling when using many sockets.
  * Home server "response_window" can now take fractions of a
    second.  See proxy.conf.
  * radmin now supports "show module status", as thee counterpart
    to "set module status"
  * "ipaddr" will now use v6 if no v4 address is present.  You should
    use "ipv4addr" or "ipv6addr" to force v4/v6 addresses.
  * "client" sections will allow "ipaddr = 192.192.0/24".  The old
    "netmask" is still accepted, but the new format is preferred.
  * Allow custom HTTP headers to be set for rlm_rest requests using
    control:REST-HTTP-Header (attributes consumed after use).
  * Extend format of %%{rest:} expansion to allow HTTP method and POST
    data to be specified
    and urlquoting.
  * Add support for aliases in rlm_ldap.
  * Add support for connection pool sharing to all modules that use
    the connection pool (pool = <instance>).
  * "tls" sections now have a "psk_query" configuration item, for dynamic
    queries to discover a key from a PSK identity.
  * Preliminary support for EAP channel bindings.
  * Foundational work for dynamic home servers.  They do not yet work,
    but this is now only a matter of updating the "realm" module in
    a future release.
  * Support &attr[*] syntax to copy all instances of an attribute when
    used with the += operator in an update section. May be qualified with
    a tag.
  * The logintime and expiration modules can now be listed in the
    post-auth section.  This makes some configurations simpler.
  * rlm_sqlippool is now IPV6 capable.  Set "ipv6 = yes" to get
    Framed-IPv6-Prefix returned.  The SQL queries have NOT been updated.
    Please submit patches.
  and numerous; bugfixes
- remove gpg-offline
- create /run/radiusd after install
- drop freeradius-server-opensslversion.patch (upstream)
* Mon Dec  1 2014 meissner@suse.com
- freeradius-server-opensslversion.patch: do not check the minor
  version of openssl, minor versions are supposed to be compatible.
  bnc#906682
* Sun Aug  3 2014 sfalken@opensuse.org
- added patch to changelog to fix factory-auto failure (Req #242825)
  added:
    freeradius-server-var_run.patch
* Mon Jul 28 2014 vcizek@suse.com
- fixed SUSE spelling in a filename (bnc#889034)
  * don't install suse/README.SuSE
- remove old tarball and signature file
* Tue Jul 22 2014 vcizek@suse.com
- spec run through spec-cleaner
- don't install files to /var/run
* Fri May 16 2014 vcizek@suse.com
- update to 3.0.3
  Many bugfixes
  Feature improvements
  * Everything now builds with no warnings from the C compiler,
  clang static analyzer, or cppcheck.
  * rlm_ldap now supports defining the LDAP attribute name via
  backticked expansion (i.e. shell command) in
  RADIUS <-> LDAP mappings.
  * rlm_ldap now supports older style generic attributes.
  * dynamic expansions (e.g. "%%{expr:1 + 2}" are now parsed
  when the server starts.  Syntax errors in the strings
  are caught, and a descriptive error is printed.
  * Static regular expressions (e.g. /a*b/) are now parsed
  when the server starts.  Syntax errors in the strings
  are caught, and a descriptive error is printed.
  * dynamic expansions are cached after being parsed.  They are
  no longer re-parsed at run-time for every request.
  * regular expressions are now parsed and cached when the server
  starts.
  * Added the %%{rest:} expansion to rlm_rest, which will send
  a GET request to the URL passed as the format string.
  Any body text will be written to the expansion buffer.
  * rlm_rest now available as a debian package.
  * When an 'if' condition statically evaluates to true/false,
  unlang does more static optimization.  For examples, see
  src/tests/keywords/if-skip
  * All modules are marked as safe for '-C', which lets the
  dynamic expansion checks work in more situations.
  * Added 'none' and 'custom' rlm_rest body types. 'custom'
  allows sending of arbitrary expanded text and content-type
  headers.
  * Added "config" section to Perl.  See mods-available/perl
  * Added '%%v' which expands to the server version - Patch
  from Alan Buxey.
  * more mis-matched casts are caught in "if" conditions,
  and descriptive errors are printed.
  * Support basic response validation in radclient. This allows
  administrators to write local test cases for their
  site-specific configurations.
  * Removed radconf2xml and radmin "show client config" and
  "show home_server config".
  * Forbid running with vulnerable versions of OpenSSL.
  See "allow_vulnerable_openssl" in the "security"
  subsection of "radiusd.conf"
  * Catch underlying "heartbleed" problem, so that nothing bad
  happens even when using a vulnerable version of OpenSSL.
  * Add locking API for sql_null, linelog, and detail modules,
  which should improve performance and work around issues
  on platforms with bad file locking.
  * Allow DHCP NAKs to be delayed, via setting
  reply:FreeRADIUS-Response-Delay = 1
  * Allow tag and array references anywhere attributes
  are allowed in "unlang".
  * many enhancements to radsniff, including output
  to collectd, ipv6 support and packet loss statistics.
  * Many dictionary updates (ZTE, Brocade, Motorola).
  * rlm_yubikey now automatically splits passwords from OTP
  strings.
  * The detail file reader is now threaded by default.
  This should improve performance reading the files.
- dropped freeradius-server-CVE-2014-2015.patch (upstream)
* Fri Feb 28 2014 vcizek@suse.com
- fix for CVE-2014-2015 (bnc#864576)
  * denial of service in rlm_pap hash processing
  * added freeradius-server-CVE-2014-2015.patch
* Wed Jan 29 2014 vcizek@suse.com
- remove the old 3.0.0 sources
* Sat Jan 25 2014 mardnh@gmx.de
- update to 3.0.1
    Feature improvements
  * Add "timeout" to exec, and "ntlm_auth_timeout" to mschap.
    So that run-away child processes are caught earlier.
  * Allow TLS clients to use "proto = tls", in which case
    TLS is required.  The shared secret is then set to "radsec".
  * More documentation in the tls virtual server.
  * Add "date" module for date formatting.
    See raddb/mods-available/date.
  * Added unit test suite for internal server functionality
  * When loading "update" sections, check if the RHS is a literal
    value.  If so, syntax check it immediately.
  * Update LDAP module documentation and functionality.
    The generic attribute can now update lists.
  * Updated dictionary.extreme.
  * Update sqlippool to do clears as a separate transaction,
    and at most once per second.  This should help MySQL.
  * Respect control:Response-Packet-Type for all types of
    requests.
  * Add support for SSL encryption to the MySQL driver.
  * Allow arbitrary connection parameters to be used with the
    PostgreSQL driver.
  * Changes to the OpenLDAP schema to fully expose functionality
    of the new LDAP module.
  * Update debian packaging to include a freeradius-config
    package. This package may be provided as a site local
    package to avoid fighting with the preinstalled config
    files.
    Bug fixes
  * Use correct field for ARP setting in DHCP.
  * Fix crash on debug condition (#454).
  * Fix a number of minor issues caught by the clang
    analyzer.
  * Set WARNING messages to yellow instead of normal text.
  * Correct debug colorise logic.  Patch from Phil Mayers.
  * Encode attributes of type "ethernet".  No one uses them,
    but it makes sense.
  * Work around regex initialization issues.
  * Fix build when linking against OpenSSL.
  * Print IDs as positive numbers, which helps for large DHCP
    XIDs.
  * Fix issue with sql_ippool.
  * sqlcounter now uses 64-bit counters, to deal with 4G overflow.
  * Fix issues with DHCP subsystem.
  * Don't build / install disabled modules, or their config
    files.
  * Fix build for OSX Mavericks, which hid the header files
    in a magical place.
  * Fix LEAP buffer issue.  You should still avoid LEAP.
  * Mark "unknown" WiMAX attributes as being WiMAX.
  * Fix typo in packet decoder for fragmented extended attrs
  * RPM spec fixes.
  * Fix rlm_perl build issues when not using threads.
  * Enable %%{Response-Packet-Type} again.
  * Update configuration file parser to handle "bool"
    consistently.
  * Update declarations of global boolean variables to use
    "bool" consistently. This fixes an issue where some
    modules were instantiated in "config check" mode and
    did not work correctly.
  * Make more messages debug instead of info, to avoid
    polluting the logs with messages that can't be fixed.
  * Set operator in internal unlang code to suppress spurious
    warning messages.
  * Fix debian packaging.
  * Added "status" to Debian init script.
  * Fix "update outer.request" to update the outer request.
  * Don't print TLS debugging messages when not in debug mode.
  * Correctly manage counters for "limit" sections of TCP / TLS
    "listen" sockets.
  * Fix libldap debug output.
  * Fix rlm_ldap tls functionality.
  * Initialise OpenSSL globals early to avoid issues with the
    PostgreSQL library.
  * Fix typo in sqlcounter expansion code.  Fixes #463
  * Overwrite previous instances of SQL-User-Name when adding
    it to the request.
  * Work around bugs in both MIT and heimdal versions of
    krb5_copy_context(), which caused segfaults in
    multithreaded mode.
  * Provide meaningful error messages if Heimdal krb5 is used.
  * Fix attribute supression in rlm_detail.
  * Exit with error code if child fails to complete server
    initialisation after forking.  This allows init scripts to
    correctly report whether the server started ok.
* Mon Oct 21 2013 vcizek@suse.com
- don't build with experimental modules
- fix packaging bugs:
  * install init scripts only on <= 11.4
  * install systemd unit
  * add %%defattr for submodules
* Tue Oct 15 2013 vcizek@suse.com
- update to 3.0.0
  * new feature release
  * see /usr/share/doc/packages/freeradius-server/ChangeLog
    for complete list of changes in this release
  * documentation for upgrading from 2.x is in /etc/raddb/README.rst
- drop oracle support (wasn't built anyway)
- dropped patches (obsolete):
  * freeradius-server-2.1.6-codecleanup.patch
  * freeradius-server-2.1.6-dialup_admin.patch
  * freeradius-server-2.1.1-edirectory.patch
- added systemd service unit
  * radiusd.service
- added systemd-tmpfile for /var/run/radiusd
  * freeradius-tmpfiles.conf
- added gpg-offline verification
  * freeradius-server.keyring
* Thu Sep  5 2013 mls@suse.de
- add libperl_requires, as we link against libperl and thus
  need a specific version of perl
* Thu Mar 14 2013 vcizek@suse.com
- fixed a bug in the logrotate script (bnc#797292)
* Mon Oct  1 2012 vcizek@suse.com
- files in sites-available/ are now %%config(noreplace) [bnc#781756]
* Mon Sep 10 2012 vcizek@suse.com
- update to 2.2.0
  - see /usr/share/doc/packages/freeradius-server/ChangeLog
    for complete list of changes in this release
  - fixes CVE-2012-3547 (bnc#777834)
  - dropped freeradius-server-2.1.6-overflow.patch (upstream)
  - dropped freeradius-server-sha1-default.patch (upstream)
  - refreshed freeradius-server-fix-cert-bootstrap.patch
* Mon May 28 2012 vcizek@suse.com
- Use the new 'su' logrotate option (bnc#677335)
* Mon May 14 2012 joop.boonen@opensuse.org
- Enable the same CFLAGS as for other hardware
* Wed Oct 19 2011 vcizek@suse.com
- update to 2.1.12
    Feature improvements
  * Updates to dictionary.erx, dictionary.siemens, dictionary.starent,
  dictionary.starent.vsa1, dictionary.zyxel, added dictionary.symbol
  * Added support for PCRE from Phil Mayers
  * Configurable file permission in rlm_linelog
  * Added "relaxed" option to rlm_attr_filter.  This copies attributes
  if at least one match occurred.
  * Added documentation on dynamic clients.
  See raddb/modules/dynamic_clients.
  * Added support for elliptical curve cryptography.
  See ecdh_curve in raddb/eap.conf.
  * Added support for 802.1X MIBs in checkrad
  * Added support for %%{rand:...}, which generates a uniformly
  distributed number between 0 and the number you specify.
  * Created "man" pages for all installed commands, and documented
  options for all commands.  Patch from John Dennis.
  * Allow radsniff to decode encrypted VSAs and CoA packets.
  Patch from Bjorn Mork.
  * Always send Message-Authenticator in radtest. Patch from John Dennis.
  radclient continues to be more flexible.
  * Updated Oracle schema and queries
  * Added SecurID module.  See src/modules/rlm_securid/README
    Bug fixes
  * Fix memory leak in rlm_detail
  * Fix "failed to insert event"
  * Allow virtual servers to be reloaded on HUP.
  It no longer complains about duplicate virtual servers.
  * Fix %%{string:...} expansion
  * Fix "server closed socket" loop in radmin
  * Set ownership of control socket when starting up
  * Always allow root to connect to control socket, even if
  "uid" is set.  They're root.  They can already do anything.
  * Save all attributes in Access-Accept when proxying inner-tunnel
  EAP-MSCHAPv2
  * Fixes for DHCP relaying.
  * Check certificate validity when using OCSP.
  * Updated Oracle "configure" script
  * Fixed typos in dictionary.alvarion
  * WARNING on potential proxy loop.
  * Be more aggressive about clearing old requests from the
  internal queue
  * Don't open network sockets when using -C
- freeradius-server-snprintf-overflow.patch merged in upstream
* Tue Sep 27 2011 vcizek@suse.com
- fixed interaction with eDirectory (bnc#720620)
* Fri Jun 24 2011 puzel@novell.com
- update to 2.1.11
  - see /usr/share/doc/packages/freeradius-server/ChangeLog
    for complete list of changes in this release
- add freeradius-server-snprintf-overflow.patch
- use spec-cleaner
* Tue May 24 2011 crrodriguez@opensuse.org
- Supress timestamps in binaries, breaks build-compare.
* Mon Oct  4 2010 puzel@novell.com
- update to 2.1.10
  - see /usr/share/doc/packages/freeradius-server/ChangeLog
    for complete list of changes in this release
- drop freeradius-server-2.1.6-edir-64bit.patch (fixed upstream)
* Thu Sep 16 2010 pgajdos@suse.cz
- radiusd reload after logrotate [bnc#634445]
* Mon Jun 21 2010 puzel@novell.com
- update to 2.1.9 (bnc#615699)
  - bugfix release, for list of changes please see
  /usr/share/doc/packages/freeradius-server/ChangeLog
* Mon May  3 2010 puzel@novell.com
- add freeradius-server-initscript-pidfile.patch
  - handle /var/run on tmpfs
* Sun Mar 21 2010 puzel@novell.com
- specfile cleanup
* Thu Mar 11 2010 puzel@novell.com
- drop freeradius-server-2.1.6-ltdl.patch - not needed anymore
- clean up specfile
- remove bind-libs, zlib-devel from BuildRequires - not needed
* Tue Mar  9 2010 puzel@novell.com
- update to 2.1.8
  - for full list of changes, please see
  /usr/share/doc/packages/freeradius-server/ChangeLog
- drop freeradius-server-no-default-case.patch: fixed upstream
* Thu Dec 17 2009 puzel@novell.com
- update to 2.1.7
  - for full list of changes, please see
  /usr/share/doc/packages/freeradius-server/ChangeLog
* Thu Oct 22 2009 puzel@novell.com
- freeradius-server-no-default-case.patch (bnc#527742)
* Thu Oct 15 2009 puzel@novell.com
- freeradius-server-sha1-default.patch (bnc#546042)
- freeradius-server-fix-cert-bootstrap.patch (bnc#546041)
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Tue Jun  2 2009 puzel@suse.cz
- updated to 2.1.6
  o Feature improvements
  * radclient exits with 0 on successful (accept / ack), and 1
  otherwise (no response / reject)
  * Added support for %%{sql:UPDATE ..}, and insert/delete
  Patch from Arran Cudbard-Bell
  * Added sample "do not respond" policy.  See raddb/policy.conf
  and raddb/sites-available/do_not_respond
  * Cleanups to Suse spec file from Norbert Wegener
  * New VSAs for Juniper from Bjorn Mork
  * Include more RFC dictionaries in the default install
  * More documentation for the WiMAX module
  * Added "chase_referrals" and "rebind" configuration to rlm_ldap.
  This helps with Active Directory.  See raddb/modules/ldap
  * Don't load pre/post-proxy if proxying is disabled.
  * Added %%{md5:...}, which returns MD5 hash in hex.
  * Added configurable "retry_interval" and "poll_interval"
  for "detail" listeners.
  * Added "delete_mppe_keys" configuration option to rlm_wimax.
  Apparently some WiMAX clients misbehave when they see those keys.
  * Added experimental rlm_ruby from
  http://github.com/Antti/freeradius-server/tree/master
  * Add Tunnel attributes to ldap.attrmap
  * Enable virtual servers to be reloaded on HUP.  For now, only
  the "authorize", "authenticate", etc. processing sections are
  reloaded.  Clients and "listen" sections are NOT reloaded.
  * Updated "radwatch" script to be more robust.  See scripts/radwatch
  * Added certificate compatibility notes in raddb/certs/README,
  for compatibility with different operating systems. (i.e. Windows)
  o Bug fixes
  * Minor changes to allow building without VQP.
  * Minor fixes from John Center
  * Fixed raddebug example
  * Don't crash when deleting attributes via unlang
  * Be friendlier to very fast clients
  * Updated the "detail" listener so that it only polls once,
  and not many times in a row, leaking memory each time...
  * Update comparison for Packet-Src-IP-Address (etc.) so that
  the operators other than '==' work.
  * Did autoconf magic to work around weird libtool bug
  * Make rlm_perl keep tags for tagged attributes in more situations
  * Update UID checking for radmin
  * Added "include_length" field for TTLS.  It's needed for RFC
  compliance, but not (apparently) for interoperability.
  - FreeRADIUS 2.1.5
  * Release number skipped due to procedural issues.
  - FreeRADIUS 2.1.4
  o	Feature improvements
  * Permit multiple "-e" in radmin.
  * Add support for originating CoA-Request and Disconnect-Request.
  See raddb/sites-available/originate-coa.
  * Added "lifetime" and "max_queries" to raddb/sql.conf.
  This helps address the problem of hung SQL sockets.
  * Allow packets to be injected via radmin.  See "inject help"
  in radmin.
  * Answer VMPS reconfirmation request.  Patch from Hermann Lauer.
  * Sample logrotate script in scripts/logrotate.freeradius
  * Add configurable poll interval for "detail" listeners
  * New "raddebug" command.  This prints debugging information from
  a running server.  See "man raddebug.
  * Add "require_message_authenticator" configuration to home_server
  configuration.  This makes the server add Message-Authenticator
  to all outgoing Access-Request packets.
  * Added smsotp module, as contributed by Siemens.
  * Enabled the administration socket in the default install.
  See raddb/sites-available/control-socket, and "man radmin"
  * Handle duplicate clients, such as with replicated or
  load-balanced SQL servers and "readclients = yes"
  o Bug fixes
  * Clean up control sockets when they are closed, so that we don't
  leak memory.
  * Define SUN_LEN for systems that don't have it.
  * Correct some boundary conditions in the conditional checker ("if")
  in "unlang".  Bug noted by Arran Cudbard-Bell.
  * Work around minor building issues in gmake.  This should only
  have affected developers.
  * Change how we manage unprivileged user/group, so that we do not
  create control sockets owned by root.
  * Fixed more minor issues found by Coverity.
  * Allow raddb/certs/bootstrap to run when there is no "make"
  command installed.
  * In radiusd.conf, run_dir depends on the name of the program,
  and isn't hard-coded to "..../radiusd"
  * Check for EOF in more places in the "detail" file reader.
  * Added Freeswitch dictionary.
  * Chop ethernet frames in VMPS, rather than droppping packets.
  * Fix EAP-TLS bug.  Patch from Arnaud Ebalard
  * Don't lose string for regex-compares in the "users" file.
  * Expose more functions in rlm_sql to rlm_sqlippool, which
  helps on systems where RTLD_GLOBAL is off.
  * Fix typos in MySQL schemas for ippools.
  * Remove macro that was causing build issues on some platforms.
  * Fixed issues with dead home servers.  Bug noted by Chris Moules.
  * Fixed "access after free" with some dynamic clients.
* Thu Mar 26 2009 crrodriguez@suse.de
- do not ship static modules
* Tue Feb 10 2009 prusnak@suse.cz
- updated to 2.1.3
  o Feature Improvements
  * Allow running with user=radiusd and binding to secure sockets.
  * Start sending Status-Server "are you alive" messages earlier,
    which helps with proxying multiple realms to a home server.
  * Removed thread pool code from rlm_perl. It's not necessary.
  * Added example Perl configuration to raddb/modules/perl
  * Force OpenSSL to support certificates with SHA256. This seems
    to be necessary for WiMAX certs.
  o Bug Fixes
  * Fix Debian patch to allow it to build.
  * Fix potential NULL dereference in debugging mode on certain
    platforms for TTLS and PEAP inner tunnels.
  * Fix uninitialized memory in handling of vendor definitions
  * Fix parsing of quoted (but non-string) attributes in
    the users< file.
  * Initialize unknown NAS IP to 255.255.255.255, rather than 0.0.0.0
  * use SUN_LEN in control socket, to avoid truncation on some platforms.
  * Correct internal handling of debug condition to prevent it
    from being over-written.
  * Check return code of regcomp in unlang, so that invalid regular
    expressions are caught rather than mishandled.
  * Make rlm_sql use <ltdl.h>. Addresses bug #610.
  * Document list "type = status" better. Closes bug #580.
  * Set "default days" for certificates, because OpenSSL won't do it.
    This closes bug #615.
  * Reference correct list in example raddb/modules/ldap. Closes #596.
  * Increase default schema size for Acct-Session-Id to 64. Closes #540.
  * Fix use of temporary files in dialup-admin. Closes #605
    and addresses CVE-2008-4474.
  * Addressed a number of minor issues found by Coverity.
  * Added DHCP option 150 to the dictionary. Closes #618.
- removed CVE-2008-4474.patch (included in update)
- fixed buffer overflow (overflow.patch)
* Tue Feb 10 2009 prusnak@suse.cz
- fixed eDirectory bug on 64bit architectures (edir-64bit.patch)
  [bnc#474006]
* Fri Feb  6 2009 prusnak@suse.cz
- moved manpages from section 1 to utils subpackage [bnc#469682]
* Fri Jan  9 2009 prusnak@suse.cz
- fixed bootstraping of certificates in %%post [bnc#461998]
* Thu Oct  9 2008 prusnak@suse.cz
- fixed CVE-2008-4474 [bnc#433762]
* Thu Oct  9 2008 prusnak@suse.cz
- updated to 2.1.1
  o Feature Improvements
  * Many more options and features are available via radmin.
    See man radmin and raddb/sites-available/control-socket.
  * Many more commands available via the control socket.
    Connect via radmin, and type help for more information.
  * Added dictionary.networkphysics and dictionary.lancom.
  * Calculate WiMAX MIP keys, and added sample WiMAX SQL tables.
  o Bug Fixes
  * Fixed bug that made radmin not work.
  * Fixed Suse && Debian package scripts.
  * Fixed issues with dynamic clients.
  * Fixed configure checks for -lreadline
  * rlm_sqlippool no longer needs to be linked to rlm_sql.
  * Add statistics for detail file listeners. This closes bug #593.
  * Fixed printing of some WiMAX attributes.
  * Fixed double free on exit() in rlm_attr_filter.
  * Fixed build issues on Solaris.
  * Fixed fast session resumption for EAP-TLS.
* Mon Sep 15 2008 ro@suse.de
- make radrelay a hardlink to radiusday (instead of identical copy)
* Tue Sep  9 2008 prusnak@suse.cz
- updated to 2.1.0
  o Feature Improvements
  * Clients may now be defined dynamically, based on IP address.
    See raddb/sites-available/dynamic-clients.
  * SNMP support is now available through an experimental Perl script.
    See scripts/snmp-proxy/README
  * SNMP statistics are also available through Status-Server packets.
    See raddb/sites-available/status
  * Added more Microsoft attributes from bug #568.
  * The linelog module has more functionality and flexibility.
    See raddb/modules/linelog.
  * The debugging output has been sanitized. It should be much more
    readable.
  * Debug logs can now be turned on/off while the server is running,
    for a user, group, realm, etc. See the log section of raddb/radiusd.conf.
  * Added support for WiMAX Forum attributes. The dynamic keys are
    not yet calculated. See share/dictionary.wimax
  * Added session resumption for PEAP and TTLS.
    See raddb/eap.conf, and the cache sub-section.
  * Added radmin command-line tool for administering a running server.
    See man radmin and raddb/sites-available/control-socket.
  o Bug Fixes
  * Double escaping of '\\' in the users (and some other) files
    has been fixed. If you have '\\' in the users file, your
    configuration will need to be checked, and fixed!
  * Parse security section of radiusd.conf. This was accidentally
    deleted in 2.0.5. Closes bug #566.
  * Bind to interface before IP, which allows DHCP sockets to listen
    on "*" for multiple interfaces.
  * Fix handling of giaddr in DHCP responses.
  * Corrected parsing of status_check in home_server so that it works.
  * Fix hints so that "Puser" works again.
  * Removed length restrictions on attribute names in the dictionaries.
  * Update socket code to avoid C compiler optimizations.
* Wed Aug 27 2008 ro@suse.de
- remove deprecated startvar from fillup_and_insserv call
* Tue Aug 26 2008 pth@suse.de
- Fix Required-Stop in init scripts.
* Wed Jul 23 2008 prusnak@suse.cz
- updated to 2.0.5
    Feature improvements
  * Permit SQL authorize_reply_query to be empty.
  * Allow setting response packet type in Post-Proxy-Type Fail
    handler.
  * Added install-chown target to set correct permission and ownership
    make RADMIN=radmin RGROUP=radius install-chown
  * Support for LDAP-Group and other dynamic comparison attributes
    in unlang.  Developed from a patch by Jason Alderfer.
  * Added chroot support.  See radiusd.conf for comments.
  * Allow clients of 0/0.  We do not recommend using this, though.
  * Moved many module configurations into raddb/modules/*
    Bug fixes
  * Allow proxying to virtual servers for accounting packets, too.
  * Added "num fields" function to PostgreSQL client.
  * Updated proxy fallback mechanism to validate fallback servers,
    and to process fallback requests in a child thread.
  * rlm_realm returns "ok" for LOCAL realms, not "noop".
  * Fixed some DHCP code handling.  The examples should now work.
- updated to 2.0.4
    Feature improvements
  * Allow "virtual_server" in "realm" and "home_server" sections.
    See raddb/proxy.conf and raddb/sites-available/virtual.example.com.
  * Allow "passwd" module to be listed in "accounting" and "post-auth".
  * Added "fallback" to "home_server_pool" configuration, to handle
    the case of all home servers being dead.  See raddb/proxy.conf.
  * Added sample text to raddb/sites-available/inner-tunnel which
    can simplify debugging of inner tunnel configurations.
  * Added regular expression matching in realm names.  See
    raddb/proxy.conf for examples.
  * Added simple DHCP server functionality.  For comments, see
    raddb/sites-available/dhcp.
  * Added file globbing capabilities to detail file reader
  * Added sample raddb/sites-available/robust-proxy-accounting
  * Clients in SQL can now refer to a virtual server.
    Patch from Michael Bretterklieber.
  * Added some examples of creating RADIUS administrator in SQL,
    and assigning appropriate access rights.
    Bug fixes
  * Install all files in raddb/sites-available
  * Allow non-threaded builds.
  * Don't treat '0x' as special for known attributes that are not
    of type "octets".
  * Fix log error in rlm_pap.
  * Remove documentation about non-existent functionality.
  * Updated warning messages in debug output.
  * Fix handling of timeouts in rlm_ldap that affected 64-bit systems.
    This fix was supposed to go into 2.0.3, but did not make it.
  * Fix event handling in debug mode for failed proxy requests.
  * Fix memleak in fifos.  Closes #537.
  * Fix memleak on blocked threads.  Closes #538.
  * Perform additional checks on NULL realms.  Closes #541.
  * Fix handling of "clients" in "listen" section.
  * When detail file cannot process a packet, sleep for longer
    to let the rest of the server do something.
  * Add missing table to raddb/sql/mssql/schema.sql.  Closes #545.
  * Updated rlm_sql_postgresql to build with PostgreSQL 7.x.
    Closes #533.
  * Fix "postauth" of rlm_ldap to look for LDAP-UserDn in the
    correct place.
  * Update rlm_attr_filter for some corner cases.  Closes #543.
  * Fixed memory leak in libfreeradius event handler.
  * In the SQL Accounting on/off queries, remove the restriction
    that the session time had to be zero.
- dropped obsoleted patches
  * event-fifo-threads.patch (included in update)
  * raddb.patch (no longer needed)
- added logrotate to Recommends
* Tue May 13 2008 prusnak@suse.cz
- fix crashes in events, fifo and threads (event-fifo-threads.patch)
* Mon May  5 2008 pth@suse.de
- Fix coding errors that made the package fail to build.
* Wed Mar 19 2008 prusnak@suse.cz
- updated to 2.0.3
    Feature improvements
  * Updated raddb/certs/ca.cnf with extensions to allow ca.der
    to be imported as a CA on Symbian and Windows Mobile devices.
    Closes bug #524
  * Enable multiple matches in "hints" via Fall-Through = Yes.
    Closes bug #477
  * Added preliminary SQLite driver, contibuted by Apple.
    Untested, with no sample configuration.  This address bug #470.
  * Updated logging sub-system so that log messages from libfreeradius
    can go to the log file, and not stdout.
  * Added dictionary.rfc5176
  * EAP module now checks for instance name, and uses that for
    authentication.  This avoids the need to set Auth-Type when
    there are multiple instances of the EAP module.
  * Added Module-Return-Code attribute, which contains the value
    returned by the previous module (ok/fail/update/etc.)
    Bug fixes
  * Corrected typos in rlm_dbm.  Closes bugs #521 and #522.
  * Detail file "listen" sections now work much better.
  * Don't allow old "log_*" to over-ride new format.  Closes bug #525
  * Initialize allocated memory in Oracle SQL driver.  This fixes
    occasional crashes on some systems.  Closes bug #518
  * Call correct function in rlm_protocol_filter.  This enables the
    module to build.  Closes bug #512.
  * Added deprecated flag to build for rlm_krb5.  This allows it to
    run on 64-bit systems.  Closes bug #491
  * Corrected error message when parsing invalid configurations
    so it doesn't crash.  Closes bug #527
  * Fix handling of timeouts in rlm_ldap that affected 64-bit systems.
  * Handle $INCLUDE's in "instantiate" section.  Closes #528.
  * Format updates to "man" pages from Stephen Gran.
- updated to 2.0.2
    Feature improvements
  * Added notes on how to debug the server in radiusd.conf
  * Moved all "log_*" in radiusd.conf to log{} section.
    The old configurations are still accepted, though.
  * Added ca.der target in raddb/certs/Makefile.  This is
    needed for importing CA certs into Windows.
  * Added ability send raw attributes via "Raw-Attribute = 0x0102..."
    This is available only debug builds.  It can be used
    to create invalid packets! Use it with care.
  * Permit "unlang" policies inside of Auth-Type{} sub-sections
    of the authenticate{} section.  This makes some policies easier
    to implement.
  * "listen" sections can now have "type = proxy".  This lets you
    control which IP is used for sending proxied requests.
  * Added note on SSL performance to raddb/certs/README
    Bug fixes
  * Fixed reading of "detail" files.
  * Allow inner EAP tunneled sessions to be proxied.
  * Corrected MySQL schemas
  * syslog now works in log{} section.
  * Corrected typo in raddb/certs/client.cnf
  * Updated raddb/sites-available/proxy-inner-tunnel to
    permit authentication to work.
  * Ignore zero-length attributes in received packets.
  * Correct memcpy when dealing with unknown attributes.
  * Corrected debugging messages in attr_rewrite.
  * Corrected generation of State attribute in EAP.  This
    fixes the "failed to remember handler" issues.
  * Fall back to DEFAULT realm if no realm was found.
    Based on a patch from Vincent Magnin.
  * Updated example raddb/sites-available/proxy-inner-tunnel
  * Corrected behavior of attr_filter to match documentation.
    This is NOT backwards compatible with previous versions!
    See "man rlm_attr_filter" for details.
- dropped patches:
  * conf_read.patch (included in update)
  * strncat.patch (obsoleted by update)
* Tue Jan 29 2008 prusnak@suse.cz
- replace obsoleted call to conf_read with cf_file_read (conf_read.patch)
- split off -doc subpackage
* Thu Jan 24 2008 prusnak@suse.cz
- fix strncat usage (strncat.patch)
* Tue Jan 22 2008 prusnak@suse.cz
- updated to 2.0.1
  * improve unlang
  * update acct_module
  * fix parsing of syslog logging
  * minor fixes over 2.0.0
* Tue Jan 22 2008 prusnak@suse.cz
- renamed to freeradius-server (to follow upstream change)
- updated to 2.0.0:
  o Feature improvements
  * Debugging mode is much clearer and easier to read.
  * A new policy language makes many configurations trivial.
    See "man unlang" for a complete description.
  * Virtual servers are now supported.  This permits clear separation
    of policies.  See raddb/sites-available/README
  * EAP-TLS (PEAP, EAP-TTLS) and OpenSSL certificates "just work".
    See raddb/certs/README for details.
  * Proxying is much more configurable than before.
    See proxy.conf for documentation on pools, and new config items.
  * Full support for IPv6.
  * Much more complete support for the RADIUS SNMP MIBs.
  * HUP now works.  Only some modules are re-loaded,
    and the server configuation is *not* reloaded.
  * "check config" option now works.  See "man radiusd"
  * radrelay functionality is now included in the server core.
    See raddb/sites-available/copy-acct-to-home-server
  * VMPS support.  It is minimal, but functional.
  * Cleaned up internal API's and names, including library names.
  o Bug fixes
  * Many.
- removed obsolete patch:
  * type_punning.patch
* Tue Dec  4 2007 prusnak@suse.cz
- remove openldap2 from BuildRequires
* Tue Nov  6 2007 prusnak@suse.cz
- updated to 1.1.7
    Feature Improvements
  * Updated LDAP documentation.
  * Added note on DH parameters in eap.conf, and debugging messages
    which complain if DH is used, but not configured properly.
  * Updated the Mikrotik dictionary. Added a note that the sample
    dictionary they supply is broken.
  * Output more information on blocked threads, which should help
    narrow down which modules is causing the problem.
  * Added more eDirectory support.
  * rlm_ldap now prints out attributes in the standard format
  * Enabled server-side handling of procedures in MySQL
    Bug Fixes
  * Added NT-Hash support for mschap_xlat.
  * Corrected documentation to point to correct location of files.
  * Checks for more recent FreeBSD versions.
  * uses -DLDAP_DEPRECATED to avoid OpenLDAP crashes.
  * Use correct value for authentication name in rlm_mschap.
  * Fix over-ride for usernames when use_tunneled_reply = yes.
* Fri Apr 20 2007 pth@suse.de
- Update to 1.1.6. Changes since 1.1.3:
    Feature improvements
  * Added dictionary.rfc4372 (Chargeable User Identity)
  * Added dictionary.rfc4675 (VLAN and Priority)
  * Added dictionary.rfc4679 (ADSL Forum)
    NOTE some name differences from the RFC, due to dictionary.redback
  * Updated rlm_python to something usable
  * Added experimental sql "HPW" IPPools.
  * Added more dictionaries
  * Dictionary files now MUST NOT be globally writable.
  * Configuration files now MUST NOT be globally readable,
    or globally writable.
  * Be more aggressive about freeing memory on clean exit.
    This helps track down run-time leaks.
  * Updated rlm_python to something usable
  * Added experimental sql "HPW" IPPools.
  * Major enhancements to rlm_pap, that make "encryption_scheme"
    a thing of the past.  See "man rlm_pap" for details.
  * Added SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS flag to use
    work-arounds that enable Windows Vista clients to work.
  * Added preliminary code to support Firebird.
    Use at your own risk!
  * Send MS-CHAP2-Success, which makes EAP-TTLS/MSCHAP work on more
    platforms.
  * Add a new "reply-name" directive in rlm_sqlcounter to define the
    name of the reply attribute.
  * Added more dictionaries and attributes
  * Print ntlm_auth failure reason in Module-Failure-Message
  * radsqlrelay is able to get the DB password from a file instead
    of command line.
    Bug fixes
  * Corrected typo in rlm_pap.c
  * Corrected typo in src/main/auth.c
  * Suppress SSL error messages if error is zero.
  * Don't complain about "Error in read client certificate A"
    if we expect to read it in the next packet.  Fix based on patch
    by Dan Lukes.
  * Corrected nearly 30 bugs found by Coverity
    See also http://scan.coverity.com
  * Don't die on HUP.  Instead leak memory (sorry).  After a few
    hundred HUP's, the server will have leaked a few megabytes of
    memory, and you should probably re-start it.  It's ugly, but
    better than dying.
  * Corrected a few double free's
  * Corrected typo in radrelay, which prevented it from working
  * Made Firebird module build
  * Fixed bug in PostgreSQL module that caused server crash.
  * Fixed bug in SQL module that could cause server to crash.
  * Corrected base64 decoding in rlm_pap
  * Don't retransmit accounting packets.  The NAS should do this.
  * Handle Client-Error in EAP-SIM.
  * Port OpenSSL locking fixes from CVS head.  This makes PEAP
    more stable on some systems.
  * Require Message-Authenticator in Status-Server packets
  * Correct Tunnel-Medium-Type VALUEs in dictionary.rfc2868
  * Be more aggressibe about freeing memory on clean exit.
    This isn't strictly a bug fix, but it makes it easier to
    find memory leaks
  * Increase buffer size for dynamic expansion, which allows
    longer SQL qeuries.
  * Use correct line number when there's a parse error in one
    of the configuration sections.
  * Terminate SSL sessions in EAP on error, rather than continuing
    in some cases.
  * Increase buffer size to allow parsing of long octet strings
  * Fix string termination on xlat in rlm_perl
  * Fix a parse error in the digest module, where malformed
    digest requests would result in the user being accepted.  Oops...
  * VALUEs can only be defined for 'integer', to catch mistakes
    with setting VALUEs for type 'string'.
  * Better parsing of VALUE names, so that values starting with
    a digit work correctly.
  * Check return from malloc.
  * Fix a double free() in rlm_eap_tls.c
  * Check return code of malloc() during initialization.
  * Fix a corner case where the proxy port isn't set either in
    radiusd.conf or in proxy.conf.
* Mon Mar 26 2007 rguenther@suse.de
- add gdbm-devel BuildRequires
* Sun Feb 11 2007 ro@suse.de
- one oversight in last change, build tested
* Sun Feb 11 2007 ro@suse.de
- fix build as non-root
* Mon Sep  4 2006 kukuk@suse.de
- Make sure that pam_nologin.so will always be executed.
* Wed Aug 23 2006 stark@suse.de
- update to version 1.1.3
  * autoconf updates
  * More dictionary updates
  * Security and portability fixes to rlm_otp
  * Miscellaneous bug fixes
* Mon Jun  5 2006 stark@suse.de
- update to version 1.1.2
  * Allow tagged VSA's for Juniper.
  * Allow Ascend "abinary" format to be specified as octets,
    (e.g. Ascend-Data-Filter = 0x010203...)
  * Added "cipher_list" configuration to the EAP-TLS module.
    See "eap.conf" and "man 1 cipher" for details.
  * Added "check_cert_issuer" configuration to the EAP-TLS module.
    See "eap.conf" for details.
  * Added "suppress" configuration entry to rlm_detail,
    to suppress certain attributes (e.g. User-Password).
  * Write SSL errors to log file, rather than stderr.
  * Allow a core dump on uid change on Linux
  * Bugfixes
* Wed May 24 2006 schwab@suse.de
- Don't strip binaries.
* Tue Mar 28 2006 stark@suse.de
- fixed an error on x86_64 machines when reading dictionaries
  (#161503)
- make "use_tunneled_reply" work properly for PEAP
* Mon Mar 27 2006 ro@suse.de
- also use fPIC on s390*
* Thu Mar 23 2006 stark@suse.de
- fixed validation issue with the EAP-MSCHAPv2 module (#160249)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 stark@suse.de
- fixed directory permissions (#141153)
* Thu Jan 19 2006 ro@suse.de
- changed php requires to generic ones (for php5)
* Sat Jan 14 2006 stark@suse.de
- use --with-udpfromto useful for systems with multiple addresses
* Thu Jan 12 2006 stark@suse.de
- update to version 1.1.0
* Wed Jan 11 2006 stark@suse.de
- adding stack-protector to CFLAGS
- don't package *.la files for now (#141207)
* Wed Dec 21 2005 stark@suse.de
- fixed realloc() in rlm_pam
* Tue Nov 15 2005 stark@suse.de
- moved dialup_admin to subpackage and integrate it into
  Apache 2 configuration
* Sun Sep 25 2005 ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Fri Sep 23 2005 stark@suse.de
- update to version 1.0.5
- updated eDirectory integration documentation
* Thu Sep 22 2005 ro@suse.de
- fix build-dir references in .la files
* Tue Aug 30 2005 stark@suse.de
- fixed some issues from security audit (#104195)
  (is already upstream for 1.0.5 release)
* Mon Aug 15 2005 stark@suse.de
- fix mysql creation script (#104752)
* Sat Jun 18 2005 stark@suse.de
- update to version 1.0.4
* Sat Jun  4 2005 stark@suse.de
- update to version 1.0.3
- link radiusd with -pie
* Mon Apr 11 2005 stark@suse.de
- start daemon correctly (#75979)
- fixed packaging on x86-64 (#75979)
* Wed Mar  2 2005 stark@suse.de
- com_err.h patch not needed anymore
- modified spec-file to work with older distributions
* Fri Feb 18 2005 stark@suse.de
- enabled eDirectory support and added documentation
* Thu Feb 17 2005 stark@suse.de
- update to 1.0.2
* Sat Nov 27 2004 stark@suse.de
- fixed installation of radeapclient (#48549)
* Sat Nov 20 2004 stark@suse.de
- don't use heimdal for distributions newer than 9.2
* Mon Nov 15 2004 kukuk@suse.de
- Use common-* PAM configuration
* Sat Oct 23 2004 stark@suse.de
- update to version 1.0.1
- moved *.la files to devel package
* Sat Aug 28 2004 stark@suse.de
- modify logrotate config (#44436)
* Tue Aug 17 2004 sndirsch@suse.de
- fixed syntax error (Typo?) in init script
* Fri Aug 13 2004 stark@suse.de
- added some sample scripts to documentation
* Tue Aug 10 2004 stark@suse.de
- update to 1.0.0
* Wed Jun 23 2004 ro@suse.de
- update to 1.0.0pre3 (version set as 0.9.9)
* Thu Feb  5 2004 stark@suse.de
- disabled rlm_sql_iodbc and enabled rlm_sql_unixodb
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Mon Jan 12 2004 adrian@suse.de
- add %%defattr
* Fri Nov 28 2003 stark@suse.de
- security update to 0.9.3
  * Fix a remote DoS and possible exploit due to mis-handling
    of tagged attributes, and Tunnel-Password attribute.
* Thu Oct 16 2003 stark@suse.de
- update to 0.9.2
  (see /usr/share/doc/packages/freeradius/ChangeLog)
* Fri Aug  1 2003 ro@suse.de
- fix include path for com_err.h
* Thu Jul 31 2003 stark@suse.de
- use stop/restart macros
* Wed Jul 23 2003 stark@suse.de
- use special user for running radiusd
- modify default configuration to work without changes
  (Auth-Type = Local)
- added README.SuSE explaining about radiusd user
* Mon Jul 21 2003 stark@suse.de
- update to 0.9.0
- build against libiodbc to enable iodbc module
* Wed Jun  4 2003 schwab@suse.de
- Add db-devel to neededforbuild.
- Don't use system libtool.
- Fix use of sort.
- Avoid running autoconf.
* Tue Apr 15 2003 ro@suse.de
- fixed neededforbuild
* Mon Mar  3 2003 kukuk@suse.de
- removed %%ghost stuff from filelist
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Wed Jan 15 2003 ro@suse.de
- use sasl2
* Tue Jan 14 2003 nadvornik@suse.cz
- fixed multi-line string literals
* Thu Dec 12 2002 stark@suse.de
- update to 0.8.1
  * minor bugfixes
* Mon Dec  2 2002 stark@suse.de
- removed radwatch from package
* Tue Nov 19 2002 stark@suse.de
- update to 0.8
  * Support for Status-Server packets
  * Fixed memory leak when proxying
  * Round-robin load balancing when proxying
  * Many bug fixes
  * (/usr/share/doc/packages/ChangeLog)
- moved modules to /usr/lib/freeradius
* Sun Aug 18 2002 ro@suse.de
- don't overwrite README's with each other
* Fri Aug 16 2002 stark@suse.de
- added PreReq (Bug #17838)
* Wed Jun 19 2002 ro@suse.de
- hack ltconfig for ppc64
* Mon Apr  8 2002 stark@suse.de
- fixed packaging on 64bit platforms
- added logrotate config
- added some sample scripts to doc-dir
* Fri Mar 22 2002 stark@suse.de
- update to 0.5
  * MS-CHAP and MS-CHAPv2 MPPE support,
  * EAP/MD5 and experimental EAP/TLS,
  * Experimental PHP web administration interface,
  * Fixes for *BSD,
  * Configurable database queries, executed per packet
    (e.g. %%{ldap:ldap:///dc=company,dc=com?uid?sub?uid=%%u}),
  * Fix logic bug which would cause occasional server crashes,
  * Server-side quenching of DoS attacks,
  * Experimental Python module,
  * Aptis, Quintum, and Foundry dictionaries,
  * Limited support for IPv6.
* Mon Feb 25 2002 stark@suse.de
- moved *.la back to main-package as it is needed for
  dynamic loading of modules
* Mon Feb 25 2002 stark@suse.de
- added patch to work with heimdal-krb5
- moved *.so to -devel package
* Fri Feb  8 2002 stark@suse.de
- deactivated kerberos support
  (seems to be not compatible with heimdal :-()
* Thu Feb  7 2002 stark@suse.de
- changed heimdal libdir
* Thu Dec 13 2001 stark@suse.de
- update to 0.4
- better use of fillup_and_insserv
* Mon Dec  3 2001 stark@suse.de
- don't use START_RADIUSD anymore
- make use of new fillup_and_insserv macro
* Fri Oct 12 2001 stark@suse.de
- update to version 0.3
- packed source-archive as bz2
- branched package -> devel
* Fri Aug  3 2001 stark@suse.de
- removed use of watcher-script
- removed config-check (-C) in init script
  (it's not supported in freeradius)
* Thu Aug  2 2001 stark@suse.de
- status fix in init script
- renamed pam-configfile: radius -> radiusd
* Wed Aug  1 2001 stark@suse.de
- updated to 0.2
* Thu Jul 26 2001 kukuk@suse.de
- Fix needed for build
* Tue Jul 10 2001 stark@suse.de
- added %%{suse_update_config}
* Sat Jun 23 2001 schwab@suse.de
- Fix preprocessor directives inside macro arguments.
* Mon Jun 18 2001 stark@suse.de
- removed absolute paths from pam-config
* Wed May 23 2001 stark@suse.de
- first official beta-version 0.1
* Wed Mar 21 2001 stark@suse.de
- new snapshot 20010321 (pre-BETA)
- replaced start- and killproc to avoid problems with Kernel 2.4
  using the radwatch shell-script
- added built of LDAP and MySQL modules
* Mon Jan 29 2001 stark@suse.de
- %%files: /etc/raddb/bay.vendor -> /etc/raddb/dictionary.bay
* Mon Jan 15 2001 stark@suse.de
- new snapshot 20010115
- initial BETA package (sources are ALPHA!)
* Thu Jan  4 2001 stark@suse.de
- CVS snapshot 20010104
